import http from "@/utils/http";
import { AppDispatch } from "..";
/**
 * 获取 用户管理 列表
 */
export const A1_APIgetList = (data: any) => {
  return async (dispatch: AppDispatch) => {
    const res = await http.post("cms/user/pageList", data);
    if (res.code === 0) {
      const obj = {
        list: res.data.records,
        total: res.data.total,
      };

      console.log(obj);

      // dispatch({ type: "B1/getList", payload: obj });
    }
  };
};

/**
 * 删除用户
 */
// export const userRemoveAPI = (id: number) => {
//   return http.get(`sys/user/removes/${id}`);
// };
